from fastapi import APIRouter, Response
from typing import List
from core.schemas.car import CarSchema
from core.helpers.car_helpers import get_german_cars

router = APIRouter()

@router.get("/cars", status_code=200, response_model=List[CarSchema])
async def get_german_cars_endpoint(response: Response):
    german_cars = get_german_cars()
    return german_cars